org.jboss.jca.common.api.metadata.resourceadapter

## Interface Activation

- All Superinterfaces:
    JCAMetadata, java.io.Serializable

      public interface Activation
      extends JCAMetadata

  An activation of a resource adapter.
  Author:
    Stefano Maestri

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Activation.Attribute` An attribute.
    `static class` | `Activation.Tag` A Tag.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AdminObject>` | `getAdminObjects()` Get the adminObjects.
    `java.lang.String` | `getArchive()` Get the archive.
    `java.util.List<java.lang.String>` | `getBeanValidationGroups()` Get the beanValidationGroups.
    `java.lang.String` | `getBootstrapContext()` Get the bootstrapContext.
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfigProperties()` Get the configProperties.
    `java.util.List<ConnectionDefinition>` | `getConnectionDefinitions()` Get the connectionFactories.
    `java.lang.String` | `getId()` Get the id
    `TransactionSupportEnum` | `getTransactionSupport()` Get the transactionSupport.
    `WorkManager` | `getWorkManager()` Get the WorkManager

- - ### Method Detail

    - #### getArchive

          java.lang.String getArchive()

      Get the archive.
      Returns:
        the archive.

    - #### getId

          java.lang.String getId()

      Get the id
      Returns:
        the value.

    - #### getTransactionSupport

          TransactionSupportEnum getTransactionSupport()

      Get the transactionSupport.
      Returns:
        the transactionSupport.

    - #### getConnectionDefinitions

          java.util.List<ConnectionDefinition> getConnectionDefinitions()

      Get the connectionFactories.
      Returns:
        the connectionFactories.

    - #### getAdminObjects

          java.util.List<AdminObject> getAdminObjects()

      Get the adminObjects.
      Returns:
        the adminObjects.

    - #### getConfigProperties

          java.util.Map<java.lang.String,java.lang.String> getConfigProperties()

      Get the configProperties.
      Returns:
        the configProperties.

    - #### getBeanValidationGroups

          java.util.List<java.lang.String> getBeanValidationGroups()

      Get the beanValidationGroups.
      Returns:
        the beanValidationGroups.

    - #### getBootstrapContext

          java.lang.String getBootstrapContext()

      Get the bootstrapContext.
      Returns:
        the bootstrapContext.

    - #### getWorkManager

          WorkManager getWorkManager()

      Get the WorkManager
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)